#include <QWidget>
#include <QList>
#include <QPainter>
#include <QDebug>
#include <QMessageBox>

class Display : public QWidget
{
    Q_OBJECT

    QList<int> *channel;
    int width, height;
    double unit;
public:
    Display (QWidget *parent = 0);
    void resizeEvent (QResizeEvent *);
    void paintEvent (QPaintEvent *);

public slots:
    void addData(int);
};